%define name kio-locate
%define version 0.5.3
%define release %mkrel 1

Summary:        KDE4 I/O Slave for the locate Command
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphical desktop/KDE4
License:        GPL
URL:            http://kde-look.org/content/show.php?action=content&content=120965
Source:         http://kde-look.org/CONTENT/content-files/120965-%{name}-%{version}.tar.xz
Patch0:         gcc-4.7.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake
BuildRequires:	kdelibs-devel
Obsoletes: 	%name < %version
Requires:	kdelibs

%description
kio-locate is a KDE I/O Slave for the locate command. kio-locate can be used in all KDE applications.

Example usage:
Type "locate:index.html" to find all files that contain "index.html" into the URL box of any KDE4 application.

%prep
%setup -q 
%patch0

%build
cmake -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_INSTALL_PREFIX=%{_usr}

%make

%install
rm -rf %{buildroot}
%makeinstall_std


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files 
%defattr(-,root,root,-)
/*

%changelog
* Fri Jun 07 2013 Texstar <texstar at gmail.com> 0.5.3-1pclos2013
- update

* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 0.5.1-6pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5.1-6_archie_2012
- rebuild

* Tue Jun 14 2011 Texstar <texstar at gmail.com. 0.5.1-5pclos2011
- fix specfile not to pull in kdebase4 and kpassword packages

* Mon Feb 21 2011 texstar <texstar at gmai.com> 0.5.1-4pclos2011
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.5.1-3pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.5.1-2pclos2010
- update package

* Fri Jun 04 2010 travisn000 <travisn000 at gmail> 0.5.1-1pclos2010
- initial build
- 0.5.1
